- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRTransform Class Reference

`#include <CDRTransforms.h>`

## Public Member Functions
| CDRTransform ()
| CDRTransform (double v0, double v1, double x0, double v3, double v4, double y0)
| CDRTransform (const CDRTransform &trafo)
void | applyToPoint (double &x, double &y) const
void | applyToArc (double &rx, double &ry, double &rotation, bool &sweep, double &endx, double &endy) const

## Private Attributes
double | m_v0
double | m_v1
double | m_x0
double | m_v3
double | m_v4
double | m_y0

## Constructor & Destructor Documentation

libcdr::CDRTransform::CDRTransform | ( |  | ) |

libcdr::CDRTransform::CDRTransform | ( | double | v0,
|  | double | v1,
|  | double | x0,
|  | double | v3,
|  | double | v4,
|  | double | y0
| ) |  |

libcdr::CDRTransform::CDRTransform | ( | const CDRTransform & | trafo | ) |

## Member Function Documentation

void libcdr::CDRTransform::applyToArc | ( | double & | rx,
|  | double & | ry,
|  | double & | rotation,
|  | bool & | sweep,
|  | double & | endx,
|  | double & | endy
| ) |  | const

Referenced by libcdr::CDRArcToElement::transform().

void libcdr::CDRTransform::applyToPoint | ( | double & | x,
|  | double & | y
| ) |  | const

Referenced by libcdr::CDRContentCollector::_flushCurrentPath(), libcdr::CDRMoveToElement::transform(), libcdr::CDRLineToElement::transform(), libcdr::CDRCubicBezierToElement::transform(), libcdr::CDRQuadraticBezierToElement::transform(), and libcdr::CDRSplineToElement::transform().

## Member Data Documentation

double libcdr::CDRTransform::m_v0
| private

double libcdr::CDRTransform::m_v1
| private

double libcdr::CDRTransform::m_v3
| private

double libcdr::CDRTransform::m_v4
| private

double libcdr::CDRTransform::m_x0
| private

double libcdr::CDRTransform::m_y0
| private

The documentation for this class was generated from the following files:

- CDRTransforms.h
- CDRTransforms.cpp